%define module_name Config-Model-Systemd
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/Model.pm) perl(Config/Model/Backend/Any.pm) perl(Config/Model/Backend/IniFile.pm) perl(Config/Model/Itself.pm) perl(Config/Model/Tester.pm) perl(Config/Model/Tester/Setup.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Mouse.pm) perl(Mouse/Role.pm) perl(Path/Tiny.pm) perl(Test/File/Contents.pm) perl(Test/More.pm) perl(XML/Twig.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.240.1
Release: alt1
Summary: Editor and validator for systemd configuration files
Group: Development/Perl
License: lgpl
URL: https://github.com/dod38fr/config-model/wiki

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DD/DDUMONT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a configuration editor for the configuration file
of systemd, i.e. all files in `~/.config/systemd/user/' or all files
in `/etc/systemd/system/'

Ok. I simplified. Actually, this module provides the configuration
models of Systemd configuration file that the cme manpage, the Config::Model manpage and
the Config::Model::TkUI manpage use to provide a configuration editor and
checker.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes CONTRIBUTING.md README-build-from-git.md README.md LICENSE
%perl_vendor_privlib/C*

%changelog
* Sat Jan 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.240.1-alt1
- regenerated from template by package builder

* Thu Jul 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.239.1-alt1
- regenerated from template by package builder

* Mon May 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.238.2-alt1
- regenerated from template by package builder

* Sun Oct 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.235.1-alt1
- regenerated from template by package builder

* Sun Oct 08 2017 Igor Vlasenko <viy@altlinux.ru> 0.234.2-alt1
- regenerated from template by package builder

* Thu Mar 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.232.6-alt1
- regenerated from template by package builder

* Fri Nov 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.231.2-alt1
- initial import by package builder

